Bug 186106 - /usr/bin/xmaxima: exec: wish: not found
/usr/bin/xmaxima: exec: wish: not found
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: maxima (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-21 12:42 EST by Eric Tanguy
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-22 14:12:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Tanguy 2006-03-21 12:42:52 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.xmaxima
2.
3.
  
Actual results:
[tanguy@bureau ~]$ xmaxima
/usr/bin/xmaxima: line 3: exec: wish: not found

Expected results:
xmaxima launching

Additional info:
if i launch maxima : 
[tanguy@bureau ~]$ maxima

Unrecoverable error: fault count too high.
Abandon
Comment 1 Rex Dieter 2006-03-21 15:03:11 EST
I don't have a fc5 box handy at the moment, but:

maxima-gui includes:
Requires: tk
And the tk pkg is *supposed* to include /usr/bin/wish.

So, questions:
1.  Do you have the tk rpm installed?
$ rpm -q tk
2.  Do you have /usr/bin/wish on your system?
$ rpm -q -f /usr/bin/wish
3.  If yes to 1/2, why isn't the xmaxima script finding/using /usr/bin/wish?
Comment 2 Eric Tanguy 2006-03-21 16:40:25 EST
I have to install tk manually and now all work fine.
Don't know why tk was not installed if it is required by maxima-gui.
Comment 3 Rex Dieter 2006-03-22 14:12:22 EST
Let's consider this a fluke then.  We can revisit the issue if/when any
duplicate/similar reports come in.

Note You need to log in before you can comment on or make changes to this bug.